Skip to main content
`Ctrl`+`K`

# DMDAGetScatter

Gets the global-to-local, and local-to-local vector scatter contexts for a `DMDA` distributed array.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetScatter(DM da, VecScatter *gtol, VecScatter *ltol)

Collective

## Input Parameter

- da - the `DMDA`

## Output Parameters

- gtol - global-to-local scatter context (may be `NULL`)

- ltol - local-to-local scatter context (may be `NULL`)

## Note

The output contexts are valid only as long as the input `da` is valid. If you delete the `da`, the scatter contexts will become invalid.

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMGlobalToLocalBegin()`, `DMGlobalToLocalEnd()`, `DMLocalToGlobalBegin()`

## Level

developer

## Location

src/dm/impls/da/dascatter.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages